Create a new payment order
POST/api/v1/payment/order
Creates a new payment order that subtracts the amount from the user's available balance.
⚠️ Important: This endpoint only creates the order. There is no separate "confirm order" endpoint.
To retrieve the processed result of an order and verify it status, use: GET /order/:orderId
Request
Responses
- 201
- 400
- 403
- 409
- 422
Payment order created successfully, or the existing order when the request is a retry. The Idempotent-Replayed response header tells which one happened
Invalid request data or invalid Idempotency-Key
Insufficient permissions to create payment orders
A payment order is already being created with this Idempotency-Key
The Idempotency-Key was already used with a different body